> ## Documentation Index
> Fetch the complete documentation index at: https://developer.trychart.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Access Token

> Get the access token for a taxpayer.

In certain cases such as client links, you may not have access to the `access_token` created for the taxpayer.
However, all Chart endpoints returning sensitive taxpayer data require an `access_token`.
This endpoint allows you to retrieve the `access_token` using your Chart `client_id` and `client_secret`.

**Important:** This endpoint should be used sparingly and only when absolutely necessary.
Please reach out to Chart support if you need to use this endpoint frequently.


## OpenAPI

````yaml GET /auth/tax-payer/{id}/token
openapi: 3.0.1
info:
  title: Chart API
  description: >-
    Chart Tax API offers real-time collection of verified federal and state tax
    records.
  version: 1.0.0
servers:
  - url: https://api.trychart.com
security:
  - bearerAuth: []
paths:
  /auth/tax-payer/{id}/token:
    get:
      description: Get the access token for a taxpayer.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: The Chart UUID of the taxpayer.
        - $ref: '#/components/parameters/ChartAPIVersion'
      responses:
        '200':
          description: Access Token Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  access_token:
                    type: string
                  taxpayer_id:
                    type: string
                  name:
                    type: string
                  metadata:
                    type: object
                  provider_id:
                    type: string
                    enum:
                      - turbotax
                      - hr
                      - taxact
                      - tax_slayer
                      - jackson
                      - free_tax_usa
                      - irs
                      - irs_tax_pro
                      - pilot
                      - cch_axcess
                      - drake
                      - proconnect
                      - chart-sandbox
                    example: irs-tax-pro
                  created_at:
                    type: string
                    format: date-time
                  status:
                    type: string
                    enum:
                      - CREATED
                      - CONSENT_RECEIVED
                      - TAX_AUTHORIZATION_SUBMITTED
                      - AUTHORIZED
                      - REJECTED
                      - COMPLETED
                    example: TAX_AUTHORIZATION_SUBMITTED
      security:
        - clientAuth: []
components:
  parameters:
    ChartAPIVersion:
      name: Chart-API-Version
      in: header
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2024-01-01.
      schema:
        type: string
        default: '2024-01-01'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your access_token returned from the /auth/token endpoint.
    clientAuth:
      type: http
      scheme: bearer
      description: >-
        Please use base64 encoded client_id:client_secret. You can use this
        command to generate the base64 encoded string: echo -n
        'client_id:client_secret' | base64

````